/*
 * Copyright © 2024 Nicole O'Connor
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * 	http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 
class ChexPlayerHGA : ChexPlayer {
	bool PowerModulatorCooling;
	int PowerModulatorCooldownTicker;
	property PowerModulatorCooling: PowerModulatorCooling;
	property PowerModulatorCooldownTicker: PowerModulatorCooldownTicker;
	Default {
		Player.WeaponSlot 3, "LargeZorcherHGA";
		Player.WeaponSlot 4, "RapidZorcherHGA";
	
		ChexPlayerHGA.PowerModulatorCooling false;
		ChexPlayerHGA.PowerModulatorCooldownTicker 0;
	}
}
